﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

a, .btn-link {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

app {
    position: relative;
    display: flex;
    flex-direction: column;
}

.top-row {
    height: 3.5rem;
    display: flex;
    align-items: center;
}

.main {
    flex: 1;
}

    .main .top-row {
        background-color: #f7f7f7;
        border-bottom: 1px solid #d6d5d5;
        justify-content: flex-end;
    }

        .main .top-row > a, .main .top-row .btn-link {
            white-space: nowrap;
            margin-left: 1.5rem;
        }

.main .top-row a:first-child {
    overflow: hidden;
    text-overflow: ellipsis;
}

.sidebar {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

    .sidebar .top-row {
        background-color: rgba(0,0,0,0.4);
    }

    .sidebar .navbar-brand {
        font-size: 1.1rem;
    }

    .sidebar .oi {
        width: 2rem;
        font-size: 1.1rem;
        vertical-align: text-top;
        top: -2px;
    }

    .sidebar .nav-item {
        font-size: 0.9rem;
        padding-bottom: 0.5rem;
    }

        .sidebar .nav-item:first-of-type {
            padding-top: 1rem;
        }

        .sidebar .nav-item:last-of-type {
            padding-bottom: 1rem;
        }

        .sidebar .nav-item a {
            color: #d7d7d7;
            border-radius: 4px;
            height: 3rem;
            display: flex;
            align-items: center;
            line-height: 3rem;
        }

            .sidebar .nav-item a.active {
                background-color: rgba(255,255,255,0.25);
                color: white;
            }

            .sidebar .nav-item a:hover {
                background-color: rgba(255,255,255,0.1);
                color: white;
            }

.content {
    padding-top: 4.1rem;
}

.navbar-toggler {
    background-color: rgba(255, 255, 255, 0.1);
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1200;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}

@media (max-width: 767.98px) {
    .main .top-row:not(.auth) {
        display: none;
    }

    .main .top-row.auth {
        justify-content: space-between;
    }

    .main .top-row a, .main .top-row .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 768px) {
    app {
        flex-direction: row;
    }

    .sidebar {
        width: 250px;
	min-height:100vh;
        height: auto;
	min-height:100vh;
        position: sticky;
        top: 0;
    }

    .main .top-row {
        position: sticky;
        top: 0;
    }

    .main > div {
        padding-right: 1.5rem !important;
	    padding-top: 1.1rem;
    }

    .navbar-toggler {
        display: none;
    }

    .sidebar .collapse {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }
}

.value-template {
    padding-left: 8px;
    line-height: 2em;
}

@media (min-width: 576px) {
    .overflow-top {
        position: absolute;
        bottom: 0px;
        left: 0px;
        right: 0px;
        padding-right: calc(var(--bs-gutter-x) * .5);
        padding-left: calc(var(--bs-gutter-x) * .5);
    }
}

/* For Loading Animation*/

.loading-wrapper {
    display: flex;
    justify-content: space-around;
    align-items: center;
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
}

.circle {
    background-color: #00608f;
    border-radius: 50%;
    height: 20px; /* Adjusted size */
    width: 20px; /* Adjusted size */
    position: absolute;
    transform: translateY(-50%);
    box-shadow: 0 0 0 2px white, 0 0 0 6px #00608f;
}

    .circle:nth-child(1) {
        left: calc(50% - 60px); /* Adjusted position */
        top: calc(50% + 30px); /* Adjusted position */
    }

    .circle:nth-child(2) {
        left: calc(50% - 20px); /* Adjusted position */
        top: calc(50% - 30px); /* Adjusted position */
    }

    .circle:nth-child(3) {
        left: calc(50% + 20px); /* Adjusted position */
        top: calc(50% + 30px); /* Adjusted position */
    }

    .circle:nth-child(4) {
        left: calc(50% + 60px); /* Adjusted position */
        top: calc(50% - 30px); /* Adjusted position */
    }

@keyframes pulley1and3 {
    0%, 100% {
        transform: translateY(-50%);
    }

    50% {
        transform: translateY(calc(-50% - 60px));
    }
}

@keyframes pulley2and4 {
    0%, 100% {
        transform: translateY(-50%);
    }

    50% {
        transform: translateY(calc(-50% + 60px));
    }
}

@media (min-width: 768px) {
    .circle {
        background-color: #00608f;
        border-radius: 50%;
        height: 50px;
        width: 50px;
        position: absolute;
        transform: translateY(-50%);
        box-shadow: 0 0 0 5px white, 0 0 0 15px #00608f;
    }

        .circle:nth-child(1) {
            left: calc(50% - 150px);
            top: calc(50% + 75px);
        }

        .circle:nth-child(2) {
            left: calc(50% - 50px);
            top: calc(50% - 75px);
        }

        .circle:nth-child(3) {
            left: calc(50% + 50px);
            top: calc(50% + 75px);
        }

        .circle:nth-child(4) {
            left: calc(50% + 150px);
            top: calc(50% - 75px);
        }

    @keyframes pulley1and3 {
        0%, 100% {
            transform: translateY(-50%);
        }

        50% {
            transform: translateY(calc(-50% - 150px));
        }
    }

    @keyframes pulley2and4 {
        0%, 100% {
            transform: translateY(-50%);
        }

        50% {
            transform: translateY(calc(-50% + 150px));
        }
    }
}

.circle:nth-child(1), .circle:nth-child(3) {
    animation: pulley1and3 2s infinite;
}

.circle:nth-child(2), .circle:nth-child(4) {
    animation: pulley2and4 2s infinite;
}

/* For Smaller Loading Animation*/
.loading-sm-wrapper {
    display: flex;
    justify-content: space-around;
    align-items: center;
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1000;
}

.center-spinner {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 33vh;
    width: calc(100% - 25px);
    position: absolute;
    z-index: 1000;
    overflow-x: hidden;
}

.circle-sm {
    /* Assuming you want to align elements vertically, you can use CSS flexbox or CSS grid to achieve this. Here's an example using flexbox: */
    background-color: #00608f;
    border-radius: 50%;
    height: 20px;
    width: 20px;
    position: absolute;
    opacity: 0;
}

    .circle-sm:nth-child(1) {
        left: calc(50% - 45px);
        top: calc(50% + 20px);
    }

    .circle-sm:nth-child(2) {
        left: calc(50% - 20px);
        top: calc(50% - 10px);
    }

    .circle-sm:nth-child(3) {
        left: calc(50% + 5px);
        top: calc(50% + 20px);
    }

    .circle-sm:nth-child(4) {
        left: calc(50% + 30px);
        top: calc(50% - 10px);
    }

.ring-sm-static {
    position: absolute;
    width: 30px;
    height: 30px;
    border: 3px solid #00608f;
    border-radius: 50%;
    opacity: 0;
}

    .ring-sm-static:nth-child(5) {
        left: calc(50% - 50px);
        top: calc(50% + 15px);
    }

    .ring-sm-static:nth-child(6) {
        left: calc(50% - 25px);
        top: calc(50% - 15px);
    }

    .ring-sm-static:nth-child(7) {
        left: calc(50% + 0px);
        top: calc(50% + 15px);
    }

    .ring-sm-static:nth-child(8) {
        left: calc(50% + 25px);
        top: calc(50% - 15px);
    }


.ring-sm-rotate {
    position: absolute;
    width: 30px;
    height: 30px;
    border: 3px double #00608f;
    border-radius: 50%;
    clip-path: polygon(50% 0%, 100% 0%, 100% 50%, 50% 50%, 50% 20%);
    opacity: 0;
}

    .ring-sm-rotate:nth-child(9) {
        left: calc(50% - 50px);
        top: calc(50% + 15px);
    }

    .ring-sm-rotate:nth-child(10) {
        left: calc(50% - 25px);
        top: calc(50% - 15px);
    }

    .ring-sm-rotate:nth-child(11) {
        left: calc(50% + 0px);
        top: calc(50% + 15px);
    }

    .ring-sm-rotate:nth-child(12) {
        left: calc(50% + 25px);
        top: calc(50% - 15px);
    }

@keyframes spin {
    0% {
        transform: rotate(0deg);
        border: 3px double #00608f;
        border-radius: 50%;
    }

    100% {
        transform: rotate(360deg);
        border: 3px double #00608f;
        border-radius: 50%;
    }
}

@keyframes fade {
    0% {
        opacity: 0.5;
    }

    50% {
        opacity: 1;
    }

    100% {
        opacity: 0.5;
    }
}

@keyframes deepfade {
    0% {
        opacity: 0.0;
    }

    50% {
        opacity: 1;
    }

    100% {
        opacity: 0.0;
    }
}

@keyframes pulse {
    0% {
        transform: scale(0.85);
    }

    50% {
        transform: scale(1.05);
    }

    100% {
        transform: scale(0.85);
    }
}

.circle-sm:nth-child(1), .circle-sm:nth-child(2), .circle-sm:nth-child(3), .circle-sm:nth-child(4) {
    animation: pulse 1.5s infinite, deepfade 1.5s infinite;
}

.ring-sm-static:nth-child(5), .ring-sm-static:nth-child(6), .ring-sm-static:nth-child(7), .ring-sm-static:nth-child(8) {
    animation: deepfade 1.5s infinite;
}

.ring-sm-rotate:nth-child(9), .ring-sm-rotate:nth-child(10), .ring-sm-rotate:nth-child(11), .ring-sm-rotate:nth-child(12) {
    animation: spin 1.5s infinite, deepfade 1.5s infinite;
}

.circle-sm:nth-child(1), .ring-sm-static:nth-child(5), .ring-sm-rotate:nth-child(9) {
    animation-delay: 0s;
}

.circle-sm:nth-child(2), .ring-sm-static:nth-child(6), .ring-sm-rotate:nth-child(10) {
    animation-delay: 0.25s;
}

.circle-sm:nth-child(3), .ring-sm-static:nth-child(7), .ring-sm-rotate:nth-child(11) {
    animation-delay: 0.5s;
}

.circle-sm:nth-child(4), .ring-sm-static:nth-child(8), .ring-sm-rotate:nth-child(12) {
    animation-delay: 0.75s;
}